This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 493003 - PackageKit-qt-0.3.15-1 broke kded4 startup
PackageKit-qt-0.3.15-1 broke kded4 startup
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 04:43 EDT by Stefan Neufeind
Modified: 2009-04-02 13:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-02 13:25:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Neufeind 2009-03-31 04:43:20 EDT
After updating to PackageKit-qt-0.3.15-1 I experienced strange errors using KDE, most of all shortcuts like Alt-Tab not working etc. Digging deeper I found out that a failing kded4 during KDE-startup was the problem. Trying to start "kded4" after having logged into KDE made shortcuts work instantly. I had kpackagekit installed. Problems occured after upgrading these packages:

 PackageKit-glib-0.3.15-1.fc10.x86_64
 PackageKit-yum-plugin-0.3.15-1.fc10.x86_64
 PackageKit-udev-helper-0.3.15-1.fc10.x86_64
 PackageKit-0.3.15-1.fc10.x86_64
 PackageKit-qt-0.3.15-1.fc10.x86_64
 PackageKit-yum-0.3.15-1.fc10.x86_64

When the problems during KDE-startup occured my .xsession-errors contained:
kded4: symbol lookup error: /usr/lib64/libpackagekit-qt.so.11: undefined symbol: _Z13qFlagLocationPKc

After e.g. removing kpackagekit and starting KDE agai everything worked again, so I assume it's gue to the PackageKit-qt-upgrade. No other packages where upgraded when the problem occured.
Comment 1 Steven M. Parrish 2009-03-31 08:14:11 EDT
Packagekit-qt is now part of Packagekit.  Reassigning there.
Comment 2 Rex Dieter 2009-03-31 09:19:20 EDT
Richard, qt-4.5.0 is in the buildroot, but not released as an update yet.  This will need to be respun, if you want to push this prior to qt-4.5.0 being pushed too.  Is that agreeable?  If so, I can help take care of the untagging, and rebuilding here.
Comment 3 Rex Dieter 2009-03-31 09:27:00 EDT
For posterity, here's the announcement regarding qt-4.5.0:
https://www.redhat.com/archives/fedora-devel-announce/2009-March/msg00020.html
Comment 4 Richard Hughes 2009-04-01 04:37:16 EDT
Rex, what's the ETA for the update? I don't mind waiting a few days, but if it's longer than that then I think we should push Pk with an old Qt. Thanks.
Comment 5 Rex Dieter 2009-04-01 08:49:09 EDT
qt45/kde422 will take longer than that.  I've untagged qt-4.5.0 from the buildroot, so we can respin this agaist qt44.
Comment 6 Rex Dieter 2009-04-01 09:12:56 EDT
OK, this build can be used for the for the pk update, please test:
http://koji.fedoraproject.org/koji/buildinfo?buildID=96139
Comment 7 Jason Farrell 2009-04-01 11:54:31 EDT
confirmed fixed. a push to updates-testing would be nice. thanks rex. -zcat
Comment 8 Rex Dieter 2009-04-02 13:16:13 EDT
http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3104

updated.

Note You need to log in before you can comment on or make changes to this bug.